Summary:             A remote mail retrieval and forwarding utility
Name:                fetchmail
Version:             6.4.22
Release:             2
URL:                 http://www.fetchmail.info/
License:             GPL+ and Public Domain
Source0:             http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:             http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz.asc
Source2:             fetchmail.service
Source3:             fetchmailrc.example
BuildRequires:       gcc gettext-devel krb5-devel openssl-devel systemd python3-devel
%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN, IPv6,
and IPSEC) for retrieval. Then Fetchmail forwards the mail through
SMTP so you can read it through your favorite mail client.
Install fetchmail if you need to retrieve mail over SLIP or PPP
connections.

%prep
%setup -q

%build
%configure --enable-POP3 --enable-IMAP --with-ssl --without-hesiod \
	--enable-ETRN --enable-NTLM --enable-SDPS --enable-RPA \
	--enable-nls --with-kerberos5 --with-gssapi \
	--enable-fallback=no
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}/fetchmail.service
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 600 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/fetchmailrc.example
rm -f $RPM_BUILD_ROOT%{_bindir}/fetchmailconf*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/fetchmailconf.1*
rm -f $RPM_BUILD_ROOT%{python3_sitelib}/fetchmailconf.py*
rm -f $RPM_BUILD_ROOT%{python3_sitelib}/__pycache__/fetchmailconf*
%find_lang %name

%files -f %{name}.lang
%doc COPYING FAQ FEATURES NEWS NOTES README README.SSL TODO
%{_bindir}/fetchmail
%{_mandir}/man1/fetchmail.1*
%{_unitdir}/fetchmail.service
%config(noreplace) %attr(0600, mail, mail) %{_sysconfdir}/fetchmailrc.example

%changelog
* Mon Nov 21 2022 yaoxin <yaoxin30@h-partners.com> - 6.4.22-2
- Modify invalid Source

* Tue Sep 14 2021 yaoxin <yaoxin30@huawei.com> - 6.4.22-1
- Update to 6.4.22 for fix CVE-2021-39272

* Tue Aug 10 2021 houyingchao <houyingchao@huawei.com> - 6.4.21-1
- Update from 6.4.1 to 6.4.20

* Wed Oct 28 2020 jialei <jialei17@huawei.com> - 6.4.1-1
- update from 6.3.26 to 6.4.1

* Tue Sep 8 2020 baizhonggui <baizhonggui@huawei.com> - 6.3.26-24
- Modify Source0 and Source1.

* Thu Nov 28 2019 huyan <hu.huyan@huawei.com> - 6.3.26-23
- Package Initialization
